package pl.helion.j2mepp.graplatformowa;

public class Potworki
{
 public Potworki(Plotno _plotno)
 {
  lista = new Potworek[0];
  plotno = _plotno;
 }
 public int getDlugosc()
 {
  return lista.length;
 }
 public void ruchPotworkow()
 {
  Pociski pociski = plotno.getPociski();
  for (int i=0;i<lista.length;i++)
   lista[i].ruch(pociski);
 }
 public void ustawPotworki(int dlugosc)
 {
  lista = new Potworek[dlugosc];
 }
 public void tworzPotworek(Potworek p, int indeks)
 {
  lista[indeks] = p;
  plotno.dodajDoMenadzera(p);
 }
 public Potworek getPotworek(int i)
 {
  return lista[i];
 }
 public void usun(Potworek p, Potworek[] potw)
 {
  Potworek[] nowa = new Potworek[potw.length-1];
  int j=0;
  for (int i=0;i<potw.length;i++)
  {
   if (!potw[i].equals(p))
   {
    nowa[j] = potw[i];
    j += 1;
   }
  }
  lista = nowa;
 }
 public void usunPotworek(Potworek p)
 {
  plotno.usunZMenadzera(p);
  this.usun(p,lista);
  int x = p.getNrPlanszyX()-1;
  int y = p.getNrPlanszyY()-1;
  plotno.ustawDanePotworkiDlugosc(x,y,lista.length);
  for (int i=0;i<lista.length;i++)
   plotno.ustawDanePotworki(x,y,i,new DanePotworka(lista[i].getXstart(), lista[i].getXend(), lista[i].getY(), lista[i].getKierunek()));
 }
 public Potworek[] lista;
 private Plotno plotno;
}